<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Bokeh Plot</title>
    <style>
      html, body {
        box-sizing: border-box;
        height: 100%;
        margin: 0;
        padding: 0;
      }
    </style>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-3.1.1.min.js"></script>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.1.1.min.js"></script>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-tables-3.1.1.min.js"></script>
    <script type="text/javascript">
        Bokeh.set_log_level("info");
    </script>
  </head>
  <body>
    <div id="d0016372-d92b-458a-ae53-552189e0a2b6" data-root-id="p1109" style="display: contents;"></div>
  
    <script type="application/json" id="p1155">
      {"d4acdec0-9549-494f-a1bb-a90fd53f2a9e":{"version":"3.1.1","title":"Bokeh Application","defs":[],"roots":[{"type":"object","name":"Column","id":"p1109","attributes":{"children":[{"type":"object","name":"Div","id":"p1106","attributes":{"text":"&lt;h3 style=\"text-align: center\"&gt;List of packages where there is either c8s branch or koji allowlist entry missing&lt;/h3&gt;"}},{"type":"object","name":"DataTable","id":"p1100","attributes":{"source":{"type":"object","name":"ColumnDataSource","id":"p1097","attributes":{"selected":{"type":"object","name":"Selection","id":"p1099","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1098"},"data":{"type":"map","entries":[["package",["389-ds-base","Judy","Package","SLOF","ant","ant-contrib","antlr","aopalliance","apache-commons-beanutils","apache-commons-cli","apache-commons-codec","apache-commons-collections","apache-commons-compress","apache-commons-exec","apache-commons-io","apache-commons-jxpath","apache-commons-lang","apache-commons-lang3","apache-commons-logging","apache-commons-net","apache-commons-parent","apache-ivy","apache-parent","apache-resource-bundles","aqute-bnd","assertj-core","atinject","bcel","bea-stax","beignet","beust-jcommander","bind-dyndb-ldap","bsf","bsh","buildah","byaccj","byte-buddy","cal10n","cargo-vendor","cc-config","cdi-api","centos-bookmarks","centos-obsolete-packages","centos-release-stream","centos-repos","centpkg-minimal","cglib","cjose","clang","cobbler","cockpit-podman","compat-sap-cplusplus-12","compiler-rt","conmon","container-selinux","containernetworking-plugins","containers-common","crun","custodia","devtoolset-7","devtoolset-7-binutils","devtoolset-7-gcc","disruptor","djvulibre","dnf-plugin-spacewalk","dom4j","easymock","exec-maven-plugin","felix-osgi-compendium","felix-osgi-core","felix-osgi-foundation","felix-parent","felix-utils","festival","flatpak-runtime","forge-parent","freeradius","fuse-overlayfs","fusesource-pom","galera","gcc-toolset-12","gcc-toolset-12-annobin","gcc-toolset-12-binutils","gcc-toolset-12-dwz","gcc-toolset-12-gcc","gcc-toolset-12-gdb","gcc-toolset-9-gcc-toolset-9","gcc-toolset-9-gdb","geronimo-annotation","geronimo-jms","geronimo-jpa","geronimo-parent-poms","ghc-JuicyPixels","gimp","glassfish-annotation-api","glassfish-el","glassfish-fastinfoset","glassfish-jax-rs-api","glassfish-jaxb","glassfish-jaxb-api","glassfish-jsp-api","glassfish-legal","glassfish-master-pom","glassfish-servlet-api","glibc32","go-toolset","golang","golang-ecosystem","golang-github-osbuild-composer","google-guice","guava20","hamcrest","hawtjni","hivex","httpcomponents-client","httpcomponents-core","httpcomponents-project","httpd","idm","ignition","inkscape","insight-client","insights-client","ipa","ipa-idoverride-memberof","isorelax","iwlfifi_dup","jackson-annotations","jackson-core","jackson-databind","jackson-jaxrs-providers","jackson-module-jaxb-annotations","jakarta-commons-httpclient","jakarta-oro","jansi","jansi-native","java_cup","javacc","javacc-maven-plugin","javamail","javapackages-tools","javassist","jaxen","jboss-interceptors-1.2-api","jboss-parent","jctools","jdepend","jdependency","jdom","jdom2","jflex","jigdo","jline","jsch","jsoup","jsr-305","jss","jtidy","junit","jvnet-parent","jzlib","kmod-redhat-btusb","kmod-redhat-iwlwifi","ldapjdk","libecap","libguestfs","libguestfs-winsupport","libiscsi","libomp","libserf","libslirp","libssh2","libtpms","libvirt","libvirt-dbus","libvirt-python","libxcam","libzdnn","libzip","libzpc","lld","lldb","llvm","llvm-toolset","llvm-toolset-6.0","llvm-toolset-6.0-clang","llvm-toolset-6.0-compiler-rt","llvm-toolset-6.0-libomp","llvm-toolset-6.0-lld","llvm-toolset-6.0-lldb","llvm-toolset-6.0-llvm","llvm-toolset-6.0-python-lit","log4j","log4j12","mailman","mariadb","maven","maven-antrun-plugin","maven-archiver","maven-artifact-resolver","maven-artifact-transfer","maven-assembly-plugin","maven-clean-plugin","maven-common-artifact-filters","maven-compiler-plugin","maven-dependency-analyzer","maven-dependency-plugin","maven-dependency-tree","maven-doxia","maven-doxia-sitetools","maven-enforcer","maven-file-management","maven-filtering","maven-install-plugin","maven-invoker","maven-invoker-plugin","maven-jar-plugin","maven-parent","maven-plugin-build-helper","maven-plugin-bundle","maven-plugin-testing","maven-plugin-tools","maven-plugins-pom","maven-remote-resources-plugin","maven-reporting-api","maven-reporting-impl","maven-resolver","maven-resources-plugin","maven-script-interpreter","maven-shade-plugin","maven-shared","maven-shared-incremental","maven-shared-io","maven-shared-utils","maven-source-plugin","maven-surefire","maven-verifier","maven-wagon","maven2","mecab","mecab-ipadic","mercurial","mingw-libgcrypt","mingw-libgpg-error","mingw-qemu-ga-win","mockito","mod_auth_openidc","mod_http2","modello","mojo-parent","msv","munge-maven-plugin","mysql","nbdkit","netcf","nginx","nodejs","nodejs-nodemon","nodejs-packaging","objectweb-asm","objectweb-pom","objenesis","oci-seccomp-bpf-hook","oci-systemd-hook","oci-umount","opendnssec","openexr","os-maven-plugin","osad","osgi-annotation","osgi-compendium","osgi-core","parfait","perl-FCGI","perl-Sys-Virt","pg_repack","php","php-pear","php-pecl-apcu","php-pecl-rrd","php-pecl-xdebug","php-pecl-zip","pki-core","pki-servlet-container","plexus-ant-factory","plexus-archiver","plexus-bsh-factory","plexus-build-api","plexus-cipher","plexus-classworlds","plexus-cli","plexus-compiler","plexus-component-api","plexus-component-factories-pom","plexus-components-pom","plexus-containers","plexus-i18n","plexus-interactivity","plexus-interpolation","plexus-io","plexus-languages","plexus-pom","plexus-resources","plexus-sec-dispatcher","plexus-utils","plexus-velocity","podman","postgres-decoderbufs","postgresql","powermock","pybind11","pygobject2","pygtk2","python-PyMySQL","python-atomicwrites","python-backports","python-backports-ssl_match_hostname","python-distro","python-docs","python-funcsigs","python-iniconfig","python-ipaddress","python-jwcrypto","python-kdcproxy","python-lit","python-more-itertools","python-nss","python-podman","python-podman-api","python-pymongo","python-pyvmomi","python-qrcode","python-setuptools-rust","python-toml","python-virtualenv","python-wcwidth","python-websocket-client","python-yubico","python2-pip","python2-pycairo","python2-rpm-macros","python2-setuptools","python2-six","pyusb","qdox","qemu-kvm","quagga","rapidjson","redhat-internal-test-package","redis","regexp","relaxngDatatype","relaxngcc","resource-agents-sap","resource-agents-sap-hana","resource-agents-sap-hana-scaleout","resteasy","rhc","rhn-client-tools","rhn-custom-info","rhn-virtualization","rhncfg","rhnlib","rhnpush","rhnsd","rmd","ruby","rubygem-abrt","rubygem-bson","rubygem-bundler","rubygem-mongo","rubygem-mysql2","rubygem-pg","runc","rust","rust-toolset","sap-cluster-connector","sapconf","scala","scipy","seabios","sgabios","si-units","sisu","sisu-mojos","skopeo","slapi-nis","slf4j","slirp4netns","sonatype-oss-parent","sonatype-plugins-parent","spacewalk-abrt","spacewalk-backend","spacewalk-client-cert","spacewalk-koan","spacewalk-oscap","spacewalk-remote-utils","spacewalk-usix","spec-version-maven-plugin","spice-parent","spice-qxl-wddm","spice-usbdk-win","squid","stax-ex","subversion","supermin","swig","testng","tomcatjss","toolbox","tree","tree-pkg","unit-api","uom-lib","uom-parent","uom-se","uom-systems","userspace","utf8proc","varnish","varnish-modules","velocity","weld-parent","xalan-j2","xbean","xerces-j2","xml-commons-apis","xml-commons-resolver","xml-stylebook","xmlstreambuffer","xmlunit","xmvn","xpp3","xsom","xz-java","yara"]],["c8s",[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,1,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1]],["koji_allowlist_8",[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,0,0,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0]],["zuul_centos_distgit",[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]]]}}},"view":{"type":"object","name":"CDSView","id":"p1104","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1105"}}},"columns":[{"type":"object","name":"TableColumn","id":"p1082","attributes":{"field":"package","title":"package","formatter":{"type":"object","name":"HTMLTemplateFormatter","id":"p1081","attributes":{"template":"\n        &lt;div style=\"background:&lt;%=\n            (function colorfromint(){\n                if(package == 'no' || package == 'False' || package == '0'){\n                    return('#f14e08')}\n                else{\n                    return('#fff')}\n                }()) %&gt;;\"&gt;\n        &lt;%= value %&gt;\n        &lt;/div&gt;\n    "}},"editor":{"type":"object","name":"StringEditor","id":"p1084"}}},{"type":"object","name":"TableColumn","id":"p1086","attributes":{"field":"c8s","title":"c8s","formatter":{"type":"object","name":"HTMLTemplateFormatter","id":"p1085","attributes":{"template":"\n        &lt;div style=\"background:&lt;%=\n            (function colorfromint(){\n                if(c8s == 'no' || c8s == 'False' || c8s == '0'){\n                    return('#f14e08')}\n                else{\n                    return('#fff')}\n                }()) %&gt;;\"&gt;\n        &lt;%= value %&gt;\n        &lt;/div&gt;\n    "}},"editor":{"type":"object","name":"StringEditor","id":"p1088"}}},{"type":"object","name":"TableColumn","id":"p1090","attributes":{"field":"koji_allowlist_8","title":"koji_allowlist_8","formatter":{"type":"object","name":"HTMLTemplateFormatter","id":"p1089","attributes":{"template":"\n        &lt;div style=\"background:&lt;%=\n            (function colorfromint(){\n                if(koji_allowlist_8 == 'no' || koji_allowlist_8 == 'False' || koji_allowlist_8 == '0'){\n                    return('#f14e08')}\n                else{\n                    return('#fff')}\n                }()) %&gt;;\"&gt;\n        &lt;%= value %&gt;\n        &lt;/div&gt;\n    "}},"editor":{"type":"object","name":"StringEditor","id":"p1092"}}},{"type":"object","name":"TableColumn","id":"p1094","attributes":{"field":"zuul_centos_distgit","title":"zuul_centos_distgit","formatter":{"type":"object","name":"HTMLTemplateFormatter","id":"p1093","attributes":{"template":"\n        &lt;div style=\"background:&lt;%=\n            (function colorfromint(){\n                if(zuul_centos_distgit == 'no' || zuul_centos_distgit == 'False' || zuul_centos_distgit == '0'){\n                    return('#f14e08')}\n                else{\n                    return('#fff')}\n                }()) %&gt;;\"&gt;\n        &lt;%= value %&gt;\n        &lt;/div&gt;\n    "}},"editor":{"type":"object","name":"StringEditor","id":"p1096"}}}]}},{"type":"object","name":"Div","id":"p1107","attributes":{"text":"&lt;a href='8_branches.html'&gt;Link to standalone 8_branches table&lt;/a&gt;"}},{"type":"object","name":"Div","id":"p1108","attributes":{"text":"Generated from data collected on [None]"}}]}}],"callbacks":{"type":"map"}}}
    </script>
    <script type="text/javascript">
      (function() {
        const fn = function() {
          Bokeh.safely(function() {
            (function(root) {
              function embed_document(root) {
              const docs_json = document.getElementById('p1155').textContent;
              const render_items = [{"docid":"d4acdec0-9549-494f-a1bb-a90fd53f2a9e","roots":{"p1109":"d0016372-d92b-458a-ae53-552189e0a2b6"},"root_ids":["p1109"]}];
              root.Bokeh.embed.embed_items(docs_json, render_items);
              }
              if (root.Bokeh !== undefined) {
                embed_document(root);
              } else {
                let attempts = 0;
                const timer = setInterval(function(root) {
                  if (root.Bokeh !== undefined) {
                    clearInterval(timer);
                    embed_document(root);
                  } else {
                    attempts++;
                    if (attempts > 100) {
                      clearInterval(timer);
                      console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                    }
                  }
                }, 10, root)
              }
            })(window);
          });
        };
        if (document.readyState != "loading") fn();
        else document.addEventListener("DOMContentLoaded", fn);
      })();
    </script>
  </body>
</html>